package com.gamedog.vididin.main.fragments.home


import androidx.fragment.app.Fragment
import com.ama.core.architecture.appBase.adapter.AppFragmentStateAdapter
import com.gamedog.vididin.beans.YoutubeVideo
import com.gamedog.vididin.main.fragments.home.fragment.HomeItemFragment


class HomeFragmentStateAdapter(fragment: Fragment) :
                    AppFragmentStateAdapter<YoutubeVideo>(fragment, true) {

    override fun createFragment(position: Int, item: YoutubeVideo): Fragment {
        return HomeItemFragment.newInstance(item.getItemId(), item)
    }
}
